#include<bits/stdc++.h>
using namespace std;
bool ktra(float m,float n,float p)
{
	m+n>p;
	n+p>m;
	m+p>n;
	return 0;
}
	int main()
{
ifstream f1("tamgiac.inp"); ofstream f2("tamgiac.out");
float a,b,c;
f1>>a>>b>>c;
int p=(a+b+c)/2;
int k=sqrt(p*(p-a)*(p-b)*(p-c));
	if(ktra(a,b,c)==false) {f2<<"NO";}
	else {f2<<"YES"<<endl;}
	f2<<setprecision(2)<<fixed<<k;
	f1.close();
	f2.close();
	return 0;
}
